[SM-Grimoire-Bugs] [Bug 8657] nvidia_driver spell for X86 and X86_64

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Mon Aug 1 21:44:00 EDT 2005


http://bugs.sourcemage.org/show_bug.cgi?id=8657





------- Additional Comments From acedit at armory.com  2005-08-01 18:43 -------
I don't think its a good assumption that all x86_64 users will be using devel
sorcery. Would bad things happen if an x86_64 user had the x86 drivers installed?

You can check if SMGL_COMPAT_ARCHS is set, if it isnt then do something like
find $ARCH_SPECS -name $ARCHITECTURE|grep -q x86-64 as a temporary fallback.
Either trust that as a replacement for SMGL_COMPAT_ARCHS (for now), or just bail
out suggesting the usage of devel sorcery w/ x86_64.

As an aside:
Im also open to suggestion/discussion on how to deal with feature skew between
stable/devel sorcery. We cant integrate the feature until we're reasonably sure
it works, cant test it fully until spells adopt it, and spells can't adopt it
until the feature is in stable sorcery, or they have to implement hacks like
suggested above (and thats no good in the long run).

As for integrating the SMGL_COMPAT_ARCHS enhancement to stable, how many spells
would/could take advantage of it? How high of a priority is this?

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.



More information about the SM-Grimoire-Bugs mailing list